#include <z_scrdsp.hpp>

void ZafDisplay::SetDrawRegions(ZafRegionList *, bool )
{
}

void ZafScreenDisplay::SetDrawRegions(ZafRegionList *drawList, bool destroyList)
{
	destroyDrawList = destroyList;

	drawRegionList.Destroy();
	if (!drawList)
		return;
	for (ZafRegionElement *element = drawList->First(); element;
		element = element->Next())
		drawRegionList.Allocate(0, element->region);
}
